import { CharacterMetadata, ContentBlock, ContentState, DraftEntityInstance, EditorState, SelectionState } from 'draft-js';
export interface ContentSelectionAmbient {
    content: ContentState;
    selection: SelectionState;
    leftOffset: number;
    leftBlockKey: string;
    leftBlock: ContentBlock;
    leftText: string;
    rightOffset: number;
    rightBlockKey: string;
    rightBlock: ContentBlock;
    rightText: string;
}
export declare function getContentSelectionAmbient(editorState: EditorState): ContentSelectionAmbient;
export declare function setBlockDepth(content: ContentState, key: string, depth: number): ContentState;
export declare function characterListContainsEntityAlike(list: CharacterMetadata[]): boolean;
export declare function testCharacterListConsistency([first, ...rest]: CharacterMetadata[]): boolean;
export declare function getCharacterEntity(metadata: CharacterMetadata, contentState: ContentState): DraftEntityInstance | undefined;
export declare function getCharacterEntityType(metadata: CharacterMetadata, contentState: ContentState): string | undefined;
export declare function getCharacterEntityData<T>(metadata: CharacterMetadata, contentState: ContentState): T | undefined;
export declare function getBlockEntityAt(block: ContentBlock, offset: number, contentState: ContentState): DraftEntityInstance | undefined;
export declare function getBlockEntityTypeAt(block: ContentBlock, offset: number, contentState: ContentState): string | undefined;
export declare function getBlockEntityDataAt<T>(block: ContentBlock, offset: number, contentState: ContentState): T | undefined;
//# sourceMappingURL=draft.d.ts.map